<?xml version="1.0" encoding="UTF-8"?>
<xmi:XMI xmi:version="20131001" xmlns:xmi="http://www.omg.org/spec/XMI/20131001" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:C_Cpp="http://www.eclipse.org/papyrus/C_Cpp/1" xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore" xmlns:python="http://www.eclipse.org/papyrus/python/1" xmlns:robotics.services="http://www.eclipse.org/papyrus/robotics/services/1" xmlns:uml="http://www.eclipse.org/uml2/5.0.0/UML" xsi:schemaLocation="http://www.eclipse.org/papyrus/robotics/services/1 http://www.eclipse.org/papyrus/robotics/1#//services">
  <uml:Model xmi:id="_T7frkG-0EeiX6ta975XXMg" name="primitive">
    <packageImport xmi:type="uml:PackageImport" xmi:id="_UBsaMG-0EeiX6ta975XXMg">
      <importedPackage xmi:type="uml:Model" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#_0"/>
    </packageImport>
    <packageImport xmi:type="uml:PackageImport" xmi:id="_xLOK0K7nEemGAs1AuXY9aw">
      <importedPackage xmi:type="uml:Model" href="pathmap://ROBOTICS_LIBRARIES/robotics.library.uml#_LaOOAJcvEeeV0-Lu2yLOjA"/>
    </packageImport>
    <packagedElement xmi:type="uml:PrimitiveType" xmi:id="_Mb0lYK4QEemKGaIZu1xPYw" name="bool"/>
    <packagedElement xmi:type="uml:PrimitiveType" xmi:id="_Mb1McK4QEemKGaIZu1xPYw" name="byte"/>
    <packagedElement xmi:type="uml:PrimitiveType" xmi:id="_Mb1zgK4QEemKGaIZu1xPYw" name="char"/>
    <packagedElement xmi:type="uml:PrimitiveType" xmi:id="_Mb1zga4QEemKGaIZu1xPYw" name="float32"/>
    <packagedElement xmi:type="uml:PrimitiveType" xmi:id="_Mb1zgq4QEemKGaIZu1xPYw" name="float64"/>
    <packagedElement xmi:type="uml:PrimitiveType" xmi:id="_Mb3BoK4QEemKGaIZu1xPYw" name="int8"/>
    <packagedElement xmi:type="uml:PrimitiveType" xmi:id="_Mb4PwK4QEemKGaIZu1xPYw" name="uint8"/>
    <packagedElement xmi:type="uml:PrimitiveType" xmi:id="_OvHdsK4QEemKGaIZu1xPYw" name="int16"/>
    <packagedElement xmi:type="uml:PrimitiveType" xmi:id="_OvIr0K4QEemKGaIZu1xPYw" name="uint16"/>
    <packagedElement xmi:type="uml:PrimitiveType" xmi:id="_OvJS4K4QEemKGaIZu1xPYw" name="int32"/>
    <packagedElement xmi:type="uml:PrimitiveType" xmi:id="_OvJ58K4QEemKGaIZu1xPYw" name="uint32"/>
    <packagedElement xmi:type="uml:PrimitiveType" xmi:id="_OvJ58a4QEemKGaIZu1xPYw" name="int64"/>
    <packagedElement xmi:type="uml:PrimitiveType" xmi:id="_OvKhAK4QEemKGaIZu1xPYw" name="uint64"/>
    <packagedElement xmi:type="uml:PrimitiveType" xmi:id="_96bjEK4QEemKGaIZu1xPYw" name="string"/>
    <packagedElement xmi:type="uml:PrimitiveType" xmi:id="_vwQisFoPEeq26shXDzFyiA" name="wstring"/>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_3nqkYG_FEeiX6ta975XXMg">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_3nrygG_FEeiX6ta975XXMg" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/C_Cpp/1#/"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://PapyrusC_Cpp_PROFILES/C_Cpp.profile.uml#_j9REUByGEduN1bTiWJ0lyw"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_XkBn0K7fEemxGIY1-rj1kw">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_XkDdAK7fEemxGIY1-rj1kw" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//commobject"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_bz5AcPCaEeee6ab5J_C5Dg"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_HiMM0K7oEemGAs1AuXY9aw">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_HiOCAK7oEemGAs1AuXY9aw" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//services"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_SlbOAJe_EeeiCOWsEr9OuA"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_QmPloDIREe6ae6RVUytkVg">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_QmQMsDIREe6ae6RVUytkVg" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/python/1#/"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://PapyrusPython_PROFILES/python.profile.uml#_ZZc2IOjGEeyu5-ah8U05Lg"/>
    </profileApplication>
  </uml:Model>
  <robotics.services:ServiceDefinitionModel xmi:id="_E-hF0EasEeqxaN7nQVYyaQ" base_Package="_T7frkG-0EeiX6ta975XXMg"/>
  <C_Cpp:ExternLibrary xmi:id="_q7yuwMBEEeqrl8WmVAzkDg" base_package="_T7frkG-0EeiX6ta975XXMg"/>
  <C_Cpp:External xmi:id="_pRjRsC-0Ee6QuotnqBtdWA" name="bool" base_Classifier="_Mb0lYK4QEemKGaIZu1xPYw"/>
  <C_Cpp:External xmi:id="_LUAP8DIREe6ae6RVUytkVg" name="int16_t" base_Classifier="_OvHdsK4QEemKGaIZu1xPYw"/>
  <python:External xmi:id="_SMmfcDIREe6ae6RVUytkVg" name="numpy.int16" base_Classifier="_OvHdsK4QEemKGaIZu1xPYw"/>
  <C_Cpp:External xmi:id="_tVweEDIREe6ae6RVUytkVg" name="int64_t" base_Classifier="_OvJ58a4QEemKGaIZu1xPYw"/>
  <python:External xmi:id="_faGbgDIREe6ae6RVUytkVg" name="numpy.int64" base_Classifier="_OvJ58a4QEemKGaIZu1xPYw"/>
  <C_Cpp:External xmi:id="_scC6YDQrEe6ae6RVUytkVg" name="int8_t" base_Classifier="_Mb3BoK4QEemKGaIZu1xPYw"/>
  <C_Cpp:External xmi:id="_5SfBUDQrEe6ae6RVUytkVg" name="int8_t" base_Classifier="_Mb4PwK4QEemKGaIZu1xPYw"/>
  <python:External xmi:id="_sW4IoDT-Ee6ae6RVUytkVg" base_Classifier="_Mb3BoK4QEemKGaIZu1xPYw"/>
  <python:External xmi:id="_yTMWEDT-Ee6ae6RVUytkVg" name="numpy.int8" base_Classifier="_Mb4PwK4QEemKGaIZu1xPYw"/>
  <C_Cpp:External xmi:id="_ImVA8DT_Ee6ae6RVUytkVg" name="double" base_Classifier="_Mb1zga4QEemKGaIZu1xPYw"/>
  <python:External xmi:id="_ZBOGEDT_Ee6ae6RVUytkVg" name="numpy.float32" base_Classifier="_Mb1zga4QEemKGaIZu1xPYw"/>
  <C_Cpp:External xmi:id="_cbOHwDT_Ee6ae6RVUytkVg" name="long double" base_Classifier="_Mb1zgq4QEemKGaIZu1xPYw"/>
  <python:External xmi:id="_eHmKADT_Ee6ae6RVUytkVg" name="numpy.float64" base_Classifier="_Mb1zgq4QEemKGaIZu1xPYw"/>
  <C_Cpp:External xmi:id="_7zOFYDT_Ee6ae6RVUytkVg" name="byte" base_Classifier="_Mb1McK4QEemKGaIZu1xPYw"/>
  <python:External xmi:id="__Q8wgDT_Ee6ae6RVUytkVg" name="numpy.byte" base_Classifier="_Mb1McK4QEemKGaIZu1xPYw"/>
  <python:External xmi:id="_AwepkDUAEe6ae6RVUytkVg" name="bool" base_Classifier="_Mb0lYK4QEemKGaIZu1xPYw"/>
  <C_Cpp:External xmi:id="_FTT7kDUAEe6ae6RVUytkVg" base_Classifier="_Mb1zgK4QEemKGaIZu1xPYw"/>
  <python:External xmi:id="_Gx1vEDUAEe6ae6RVUytkVg" name="numpy.byte" base_Classifier="_Mb1zgK4QEemKGaIZu1xPYw"/>
  <C_Cpp:External xmi:id="_nTFMsDUAEe6ae6RVUytkVg" name="unit16_t" base_Classifier="_OvIr0K4QEemKGaIZu1xPYw"/>
  <python:External xmi:id="_oPkDEDUAEe6ae6RVUytkVg" base_Classifier="_OvIr0K4QEemKGaIZu1xPYw"/>
  <C_Cpp:External xmi:id="_uqTR4DUAEe6ae6RVUytkVg" name="int32_t" base_Classifier="_OvJS4K4QEemKGaIZu1xPYw"/>
  <python:External xmi:id="_uqRcsDUAEe6ae6RVUytkVg" name="numpy.int32" base_Classifier="_OvJS4K4QEemKGaIZu1xPYw"/>
  <C_Cpp:External xmi:id="_zrc3kDUAEe6ae6RVUytkVg" name="uint32_t" base_Classifier="_OvJ58K4QEemKGaIZu1xPYw"/>
  <python:External xmi:id="_0qHfQDUAEe6ae6RVUytkVg" name="numpy.uint32" base_Classifier="_OvJ58K4QEemKGaIZu1xPYw"/>
  <C_Cpp:External xmi:id="_-uAmEDUAEe6ae6RVUytkVg" name="uint64_t" base_Classifier="_OvKhAK4QEemKGaIZu1xPYw"/>
  <python:External xmi:id="__11JwDUAEe6ae6RVUytkVg" name="numpy.uint64" base_Classifier="_OvKhAK4QEemKGaIZu1xPYw"/>
  <C_Cpp:External xmi:id="_FUM28DUBEe6ae6RVUytkVg" name="string" base_Classifier="_96bjEK4QEemKGaIZu1xPYw"/>
  <python:External xmi:id="_Pl2s8DUBEe6ae6RVUytkVg" name="str" base_Classifier="_96bjEK4QEemKGaIZu1xPYw"/>
  <C_Cpp:External xmi:id="_p55BcDUBEe6ae6RVUytkVg" name="wstring" base_Classifier="_vwQisFoPEeq26shXDzFyiA"/>
  <python:External xmi:id="_ruHYIDUBEe6ae6RVUytkVg" name="str" base_Classifier="_vwQisFoPEeq26shXDzFyiA"/>
</xmi:XMI>
